Bug 1157335 (CVE-2014-8488) - CVE-2014-8488 yourls: cross-site scripting (XSS) flaw
Summary: CVE-2014-8488 yourls: cross-site scripting (XSS) flaw
Status: CLOSED UPSTREAM
Alias: CVE-2014-8488
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=moderate,public=20141025,repor...
Keywords: Security
Depends On: 1157336 1157337
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-27 04:03 UTC by Murray McAllister
Modified: 2019-06-08 20:15 UTC (History)
1 user (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:35:32 UTC


Attachments (Terms of Use)

Description Murray McAllister 2014-10-27 04:03:04 UTC
A cross-site scripting (XSS) flaw has been reported in yourls:

http://seclists.org/fulldisclosure/2014/Oct/111

To reproduce on Fedora, I had to attempt to click the edit button for a malicious link.

Comment 1 Murray McAllister 2014-10-27 04:03:47 UTC
Created yourls tracking bugs for this issue:

Affects: fedora-all [bug 1157336]
Affects: epel-6 [bug 1157337]

Comment 2 Murray McAllister 2014-10-27 04:04:08 UTC
I could not find the right upstream contact, so I suspect there is no patch yet

Comment 3 Vincent Danen 2014-12-10 05:05:28 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2014-8488 to
the following vulnerability:

Name: CVE-2014-8488
URL: http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2014-8488
Assigned: 20141026
Reference: FULLDISC:20141025 Yourls XSS Stored
Reference: http://seclists.org/fulldisclosure/2014/Oct/111

Cross-site scripting (XSS) vulnerability in the administrator panel in
Yourls 1.7 allows remote attackers to inject arbitrary web script or
HTML via a URL that is processed by the Shorten functionality.

Comment 5 Martin Krizek 2015-01-06 09:26:59 UTC
Filed upstream https://github.com/YOURLS/YOURLS/issues/1828

Comment 6 Fedora Update System 2015-04-28 19:14:59 UTC
yourls-1.7-3.20150410gitabc7d6c.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-04-29 12:57:43 UTC
yourls-1.7-3.20150410gitabc7d6c.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-04-29 13:02:34 UTC
yourls-1.7-3.20150410gitabc7d6c.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-04-29 13:07:28 UTC
yourls-1.7-3.20150410gitabc7d6c.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Product Security DevOps Team 2019-06-08 02:35:32 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.